.mnemo-square {
  position: relative; /* ważne dla absolutnego pozycjonowania obrazka */
  background-color: #4187cd;
  color: white;
  padding-top: 60px;
  box-sizing: border-box;
  overflow: hidden;
  height: 600px;
  min-height: 300px;
  margin-bottom: 110px;
}

.mnemo-container {
  max-width: 1400px;
  margin: 0 auto;
  height: 100%;
  position: relative;
  display: flex;

}

.mnemo-left {
  max-width: 700px;
  position: relative;   
  width: 700px;
  display: flex;
  flex-direction: column;
  justify-content: center; 
  align-items: center;
  gap: 0px;      
  z-index: 1;
}
.mnemo-text {
  width: 100%;
  max-width: 600px;
  height: 300px;
  padding-left: 50px;
  display: flex;
  align-items: center;
  font-size: 42px;
  opacity: 1;
  transition: opacity 0.4s ease-in-out;
}

    .mnemo-text.fade-out {
    opacity: 0;
    }

    .mnemo-text.fade-in {
    opacity: 1;
    }

.mnemo-right {
  position: absolute;
  height: 100%;
  width: 50%;
  top: 0px;
  right: 0px;
  pointer-events: none; /* żeby nie blokować kliknięć */
  user-select: none;
}
.mnemo-right img {
  position: absolute;
  height: 470px;
  right: 0px;
  bottom: 0px;
  object-fit: contain;
  object-position: center;
  transition: width 0.3s ease, height 0.3s ease;
}
.font-style-2 {
  font-size: 32px;  
}

.font-style-3 {
  font-size: 32px;
}

/* Kropki */
.mnemo-dots {
  position: absolute;
  bottom: 40px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  gap: 10px;
  z-index: 2;
}

.mnemo-dots .dot {
  height: 12px;
  width: 12px;
  background-color: white;
  opacity: 0.5;
  border-radius: 50%;
  cursor: pointer;
  transition: opacity 0.3s;
}

.mnemo-dots .dot.active {
  opacity: 1;
}
.signup-btn, .signup-btn2 {
  padding: 12px 30px;
  font-size: 20px;
  background-color: #fff;
  border: none;
  border-radius: 20px;
  cursor: pointer;
  transition: background-color 0.3s ease;
  user-select: none;
  text-decoration: none;
}
.signup-btn2 {
  margin-top: 10px;
}

.signup-btn a {
  text-decoration: none;
  color: #4187cd;
}
.signup-btn2 a {
  text-decoration: none;
  color: #4187cd;
}
.signup-btn:hover {
  background-color: #d6e4fb;
}
.signup-btn2:hover {
  background-color: #d6e4fb;
}
@media (max-width:1200px) {
    .mnemo-text{
      font-size: 32px;
    }
    .mnemo-left{
      max-width: 570px;
    }
}
@media (max-width: 1150px) {
    .mnemo-text{
      font-size: 30px;
    }
    .mnemo-left{
      max-width: 500px;
    }
}
@media (max-width: 1050px) {
  .mnemo-right > img{
    height: 300px;
  }
}
@media (max-width: 950px) {
    .mnemo-text{
      font-size: 30px;
      height: 250px;
    }
    .mnemo-left{
      max-width: 600px;
      width: 50%;
      height: unset;
    }  
}
@media (max-width: 900px) {
  .mnemo-square{
    padding-top: 0px;
    height: 40vh;
  }
  .mnemo-text{
    height: 200px;
  }
}
@media (max-width: 800px) {
  .mnemo-square{
    height: 300px;
  }
  .mnemo-right > img{
    height: 250px;
  }
  .signup-btn{
    font-size: 17px;
  }
  .signup-btn2{
    font-size: 17px;
  }
  .mnemo-text{
    font-size: 22px;
  }
}
@media (max-width: 660px) {
  .mnemo-square{
    margin-bottom: 50px;
  }
  .mnemo-right > img{
    height: 200px;
  }  
  .mnemo-text{
    height: 150px;
    font-size: 18px;
  }
  .signup-btn{
    padding: 10px 15px;
    font-size: 17px;
  }
  .signup-btn2{
    padding: 10px 15px;
    font-size: 17px;
  }
}
@media (max-width: 550px) {
  .mnemo-dots{
    bottom: unset;
    top: 40px;
  }
  .mnemo-text{
    padding-left: 0px;
    justify-content: center;
    display: flex;
  }
  .mnemo-text > span{
    width: 90vw;
  }
  .mnemo-left{
    max-width: 100%;
    width: 100%;
  }
  .mnemo-right > img{
    height: 120px;
    right: unset;
    left: 10px;
  }  
  .mnemo-right{
    right: unset;
    left: 0px;
  }
}
/*2 sekcja*/
.second-section {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 40px;
  padding: 40px;
  max-width: 1200px;
  margin: auto;
  flex-wrap: wrap;
}

.text-section {
  flex: 1;
  min-width: 300px;
}

.haslo {
  font-size: 1rem;
  color: #4CAF50; /* zielony kolor */
  margin-bottom: 10px;
  text-transform: uppercase;
  letter-spacing: 1px;
}

.main-heading {
  font-size: 2rem;
  font-weight: bold;
  margin-bottom: 20px;
  color: #000000;
}

.description {
  font-size: 1.1rem;
  color: #555;
}

.image-section {
  flex: 1;
  min-width: 300px;
  display: flex;
  justify-content: center;
}

.image-section img {
  max-width: 100%;
  height: auto;
  border-radius: 12px;
  object-fit: cover;
}
@media (max-width: 650px) {
  .haslo{
    font-size: 13px;
    margin-bottom: 0px;
  }
  .main-heading{
    margin-top: 10px;
    font-size: 25px;
  }
  .description{
    font-size: 15px;
  }
  .image-section > img{
    width: 400px;
  }
}
@media (max-width: 450px) {
  .haslo{
    font-size: 11px;
    margin-bottom: 0px;
  }
  .main-heading{
    margin-top: 10px;
    font-size: 20px;
  }
  .description{
    font-size: 12px;
  }
  .image-section > img{
    width: 300px;
  }
  .second-section{
    padding: 0px;
    padding-bottom: 20px;
  }
  .text-section{
    flex: 0;
    margin: auto;
    width: 90vw;
  }

}

/*3 sekcja*/
.third-section {
  background-color: #dcdcdd;
  padding: 60px 0;
  display: flex;
  justify-content: center;
}


.third-section-content {
  width: fit-content;
}


.text-header {
  margin-bottom: 40px;
}
.haslo-2 {
  font-size: 1rem;
  color: #4CAF50; 
  margin-bottom: 10px;
  text-transform: uppercase;
  letter-spacing: 1px;
}

.cards-row {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 30px;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;
  padding: 0px 20px;
}

.card {
  min-height: 400px;
  flex: 1 1 300px;
  max-width: 300px;
  background-color: #fff;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.05);
  transition: transform 0.2s ease;
}

.card:hover {
  transform: translateY(-5px);
}

.card img {
  width: 100%;
  aspect-ratio: 3 / 2;
  object-fit: cover;
}

.card-title {
  font-size: 1.2rem;
  font-weight: bold;
  margin: 16px 16px 8px;
  color: #333;
}

.card-description {
  font-size: 1rem;
  margin: 0 16px 16px;
  color: #666;
}
.read-more-btn {
  background-color: #4187cd;
  color: #fff;
  border: none;
  padding: 8px 16px;
  cursor: pointer;
  font-weight: 600;
  transition: background-color 0.3s ease;
  margin-top: auto;
}
.card.expanded {
  overflow: visible;
}
.read-more-btn:hover {
  background-color: #2e5d8c;
}
.hidden {
  display: none;
}
.long-text{
  padding-top: 20px;
  margin: 0 16px 16px;
  text-align: left;
  color: #333;
}
@media (max-width: 1150px) {
  .third-section-content{
    display: flex;
    align-items: center;
    flex-direction: column;
  }
  .cards-row{
    grid-template-columns: repeat(2, 1fr);
    width: 60vw;
    min-width: 600px;
  }
  .card{
    margin: 0 auto;
  }
}
@media (max-width: 1000px) {
  .card-title{
    font-size: 17px;
  }
  .card-description{
    font-size: 14px;
  }
  .long-text{
    font-size: 14px;
  }
  .cards-row{
    gap: 20px;
  }
}
@media (max-width: 870px) {
  .haslo-2{
    font-size: 15px;
    word-wrap: break-word;
    width: 100%;
    letter-spacing: 0px;
  }
  .main-heading-2{
    font-size: 13px;
  }
  .text-header{
    width: 600px;
  }
}
@media (max-width: 650px) {
  .cards-row{
    grid-template-columns: repeat(1, 1fr);
  }
  .card{
    flex: 0 0 350px;
    width: 300px;
    max-width: 500px;
  }
  .text-header{
    width: 90vw;
    display: flex;
    justify-content: center;
    flex-direction: column;
  }
  .haslo-2{
    font-size: 20px;
  }
  .main-heading-2{
    font-size: 17px;
  }
}
@media (max-width: 400px) {
  .haslo-2{
    font-size: 15px;
  }
  .main-heading-2{
    font-size: 12px;
  }
  .card{
    flex: 0 0 320px;
    width: 280px;
    max-width: 500px;
  }
}

/* 4 sekcja */
.features-section {
  max-width: 1200px;
  margin: 0 auto;
  padding: 60px 20px;
}
.fourth-section{
  font-size: 2rem;
  margin-bottom: 40px;
  text-align: left;             /* wyrównanie tekstu do lewej */
  padding-left: 0;
  font-weight: bold;
  color: #000000;              /* usunięcie ewentualnego paddingu */
}

.features-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 24px;
}

.feature-card {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #f8fef9;
  border-radius: 16px;
  padding: 16px 20px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);
  transition: transform 0.2s ease;

}

.feature-card:hover {
  transform: translateY(-5px);
}

.feature-left {
  max-width: 60%;
}

.feature-left h3 {
  font-size: 1.2rem;
  margin-bottom: 6px;
  color: #0f4f3c;
}

.feature-left p {
  font-size: 0.92rem;
  color: #333;
}

.feature-right {
  text-align: center;
  margin-left: 10px;
}

.feature-right img {
  width: 70px;
  height: 70px;
  margin-bottom: 6px;
}

.feature-right strong {
  display: block;
  font-size: 0.85rem;
  color: #0f4f3c;
}

/* RESPONSYWNOŚĆ */
@media (max-width: 1200px) {
  .features-grid {
    grid-template-columns: repeat(4, 225px);
    justify-content: center;
  }
  .feature-left > h3{
    font-size: 15px;
  }
  .feature-left > p{
    font-size: 12px;
  }
  .feature-right > strong{
    font-size: 12px;
  }
}
@media (max-width: 1000px) {
  .features-section > h2{
    font-size: 22px;
  }
  .features-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 600px) {
  .features-grid {
    grid-template-columns: 1fr;
  }
}

/*5 sekcja*/
.presentation-section {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 3rem;
  padding: 4rem 2rem;
  font-family: 'Poppins', sans-serif;
  background: #f9f9f9;
  align-items: center;
}

.presentation-wrapper {
  position: relative;
  border-radius: 1rem;
  overflow: hidden;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}

.video-thumbnail {
  position: relative;
  cursor: pointer;
}
.video-thumbnail img {
  width: 100%;
  display: block;
}

.play-button {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: rgba(0, 128, 0, 0.85);
  color: white;
  border: none;
  font-size: 2rem;
  padding: 1rem 1.5rem;
  border-radius: 50%;
  cursor: pointer;
  transition: background 0.3s;
}
.play-button:hover {
  background: rgba(0, 100, 0, 0.95);
}

video {
  width: 100%;
  display: block;
  border-radius: 1rem;
}

.hidden {
  display: none;
}

.presentation-right h2 {
  font-size: 2rem;
  color: #000000;
  margin-bottom: 1rem;
}
.presentation-right ul {
  padding-left: 1.5rem;
}
.presentation-right li {
  margin-bottom: 0.8rem;
  line-height: 1.6;
}
@media (max-width: 1070px) {
  .presentation-right > h2 {
    font-size: 1.5rem;    
  }
  .presentation-right > p {
    font-size: 15px;
  }
  .presentation-right > ul li {
    font-size: 13px;
  }
}
@media (max-width: 770px) {
  .presentation-section{
    display: flex;
    flex-direction: column-reverse;
  }
  .presentation-left{
    width: 80%;
  }
}
@media (max-width: 440px) {
  .presentation-right > h2 {
    font-size: 20px;    
  }
  .presentation-right > p {
    font-size: 13px;
  }
  .presentation-section{
    padding: 30px;
  }
  .presentation-left{
    width: 100%;
  }
}
@media (max-width: 370px) {
  .presentation-right > h2 {
    font-size: 18px;    
    text-align: center;
  }  
}
/*6 sekcja*/

.benefits-section {
  max-width: 1200px;
  margin: 0 auto;
  text-align: center;
  padding: 60px 100px 60px 100px;
  background-color: #ffffff; /* jasna zieleń w tle */
  font-family: 'Poppins', sans-serif;
}
.benefits-section h1 {
  text-align: left;
  font-size: 32px;
  color: #000000;
}
.top-row {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  margin-bottom: 60px;
}

.bottom-row {
  display: flex;
  justify-content: center;
  gap: 160px;
  flex-wrap: wrap;
}

.benefit-box {
  max-width: 240px;
  text-align: center;
  background: transparent;
  box-shadow: none;
}

.benefit-box img {
  width: 100px;
  height: 100px;
}

.benefit-box h3 {
  font-size: 18px;
  font-weight: 600;
  color: #165fa7;
  margin-bottom: 10px;
}

.benefit-box p {
  font-size: 14px;
  color: #333;
  margin: 0;
}

.photo-container img {
  width: 380px;
  height: auto;
  display: block;
}
@media (max-width: 1280px) {
  .benefits-section > h1{ 
    font-size: 26px;
  }
  .benefit-box{
    max-width: 200px;
  }
  .benefit-box p {
    font-size: 13px;
  }
  .benefit-box h3 {
    font-size: 15px;
  }
  .photo-container img {
    width: 340px;
  }
  .bottom-row{
    gap: 120px;
  }
}
@media (max-width: 1070px) {
  .benefits-section > h1{ 
    font-size: 24px;
  }
  .benefit-box{
    max-width: 180px;
  }
  .benefit-box p {
    font-size: 12px;
  }
  .benefit-box h3 {
    font-size: 13px;
  }
  .photo-container img {
    width: 300px;
  }
  .bottom-row{
    gap: 100px;
  }
  .top-row{
    margin-bottom: 40px;
  }
  .benefit-box img {
    width: 80px;
    height: 80px;
  }
}
@media (max-width: 960px) {
  .benefits-section > h1{ 
    font-size: 20px;
  }
  .photo-container img {
    width: 260px;
  }
  .bottom-row{
    gap: 80px;
  }
  .benefits-section{
    padding: 40px 80px 40px 80px;
  }
}  
@media (max-width: 880px) {
  .benefits-section{
    padding: 30px;
  }
}
@media (max-width: 780px) {
  .bottom-row{
    gap: 50px;
  }  
}
@media (max-width: 715px) {
  .bottom-row{
    gap: 30px;
  } 
  .bottom-row{
    gap: 180px;
    position: relative;
  }
  .bottom-row > .benefit-box:nth-child(2){
    position: absolute;
    top: 25px;
  }
  .photo-container img {
    width: 220px;
  }
  .benefits-section{
    padding: 20px;
  }
}
@media (max-width: 635px) {
  .benefits-section > h1{ 
    text-align: center;
  }
  .top-row{
    flex-direction: column;
    gap: 30px;
  }
  .bottom-row{
    gap: 30px;
    flex-direction: column;
    align-items: center;
  }
  .bottom-row > .benefit-box:nth-child(2){
    position: static;
  }
  .photo-container{
    display: none;
  }
  .benefit-box{
    max-width: 250px;
  }
  .benefit-box p {
    font-size: 13px;
  }
  .benefit-box h3 {
    font-size: 16px;
  }
  .top-row{
    margin-bottom: 40px;
  }
  .benefit-box img {
    width: 80px;
    height: 80px;
  }
}
/* 7 sekcja*/
.color_h2 h2{
  color: #000000 !important;
}
.color_faq {
  color:#165fa7 !important ;
}

/* 8 sekcja*/
.color {
  color: #165fa7 !important;
}